org.apache.lucene.luke.models.search

## Enum QueryParserConfig.Operator

- java.lang.Object
- - java.lang.Enum<QueryParserConfig.Operator>
  - - org.apache.lucene.luke.models.search.QueryParserConfig.Operator

- All Implemented Interfaces:
    Serializable, Comparable<QueryParserConfig.Operator>
  Enclosing class:
    QueryParserConfig

      public static enum QueryParserConfig.Operator
      extends Enum<QueryParserConfig.Operator>

  query operators

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AND`
    `OR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueryParserConfig.Operator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static QueryParserConfig.Operator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AND

          public static final QueryParserConfig.Operator AND

    - #### OR

          public static final QueryParserConfig.Operator OR

  - ### Method Detail

    - #### values

          public static QueryParserConfig.Operator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueryParserConfig.Operator c : QueryParserConfig.Operator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueryParserConfig.Operator valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.